
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>写了一个简单的NodeJS实现的进程间通信的例子 / iVAN</title>

    <meta name="description" content="写了一个简单的NodeJS实现的进程间通信的例子 1. cluster介绍 大家都知道nodejs是一个单进程单线程的服务器引擎,不管有多么的强大硬件,只能利用到单个CPU进行计算.所以,有人开发了第三方的cluster,让node可以利用多核CPU实现并行.随着nodejs的发展,让nodejs上生产环境,就必须是支持多进程多核处理!在V0.6.0版本,Nodejs内置了cluster的特性.自此,Nodejs终于可以作为一个独立的应用开发解决方案,映入大家眼帘了. cluster是一个nodejs内置的模块,用于nodejs多核处理.clu">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">写了一个简单的NodeJS实现的进程间通信的例子</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h2>1. cluster介绍</h2>
<p>大家都知道nodejs是一个单进程单线程的服务器引擎，不管有多么的强大硬件，只能利用到单个CPU进行计算。所以，有人开发了第三方的cluster，让node可以利用多核CPU实现并行。随着nodejs的发展，让nodejs上生产环境，就必须是支持多进程多核处理！在V0.6.0版本，Nodejs内置了cluster的特性。自此，Nodejs终于可以作为一个独立的应用开发解决方案，映入大家眼帘了。</p>
<p>cluster是一个nodejs内置的模块，用于nodejs多核处理。cluster模块，可以帮助我们简化多进程并行化程序的开发难度，轻松构建一个用于负载均衡的集群。</p>
<h2>2. cluster的工作原理</h2>
<p>每个worker进程通过使用child_process.fork()函数，基于IPC（Inter-Process Communication，进程间通信），实现与master进程间通信。</p>
<p>当worker使用server.listen（...）函数时 ，将参数序列传递给master进程。如果master进程已经匹配workers，会将传递句柄给工人。如果master没有匹配好worker，那么会创建一个worker，再传递并句柄传递给worker。</p>
<p>在边界条件，有3个有趣的行为：<br />
注：下面server.listen()，是对底层“http.Server--&gt;net.Server”类的调用。</p>
<ul>
<li>1. server.listen({fd: 7}):在master和worker通信过程，通过传递文件，master会监听“文件描述为7”，而不是传递“文件描述为7”的引用。</li>
<li>2. server.listen(handle):master和worker通信过程，通过handle函数进行通信，而不用进程联系</li>
<li>3. server.listen(0):在master和worker通信过程，集群中的worker会打开一个随机端口共用，通过socket通信，像上例中的57132</li>
</ul>
<p>当多个进程都在 accept() 同样的资源的时候，操作系统的负载均衡非常高效。Node.js没有路由逻辑，worker之间没有共享状态。所以，程序要设计得简单一些，比如基于内存的session。</p>
<p>因为workers都是独力运行的，根据程序的需要，它们可以被独立删除或者重启，worker并不相互影响。只要还有workers存活，则master将继续接收连接。Node不会自动维护workers的数目。我们可以建立自己的连接池。</p>
<h2>3. cluster的API</h2>
<p>官网地址：<a href="http://nodejs.org/api/cluster.html#cluster_cluster" rel="external nofollow noreferrer">http://nodejs.org/api/cluster.html#cluster_cluster</a></p>
<p><strong>cluster对象</strong><br />
cluster的各种属性和函数</p>
<ul>
<li>cluster.setttings:配置集群参数对象</li>
<li>cluster.isMaster:判断是不是master节点</li>
<li>cluster.isWorker:判断是不是worker节点</li>
<li>Event: 'fork': 监听创建worker进程事件</li>
<li>Event: 'online': 监听worker创建成功事件</li>
<li>Event: 'listening': 监听worker向master状态事件</li>
<li>Event: 'disconnect': 监听worker断线事件</li>
<li>Event: 'exit': 监听worker退出事件</li>
<li>Event: 'setup': 监听setupMaster事件</li>
<li>cluster.setupMaster([settings]): 设置集群参数</li>
<li>cluster.fork([env]): 创建worker进程</li>
<li>cluster.disconnect([callback]): 关闭worket进程</li>
<li>cluster.worker: 获得当前的worker对象</li>
<li>cluster.workers: 获得集群中所有存活的worker对象</li>
</ul>
<p><strong>worker对象</strong><br />
worker的各种属性和函数：可以通过cluster.workers, cluster.worket获得。</p>
<ul>
<li>worker.id: 进程ID号</li>
<li>worker.process: ChildProcess对象</li>
<li>worker.suicide: 在disconnect()后，判断worker是否自杀</li>
<li>worker.send(message, [sendHandle]): master给worker发送消息。注：worker给发master发送消息要用process.send(message)</li>
<li>worker.kill([signal='SIGTERM']): 杀死指定的worker，别名destory()</li>
<li>worker.disconnect(): 断开worker连接，让worker自杀</li>
<li>Event: 'message': 监听master和worker的message事件</li>
<li>Event: 'online': 监听指定的worker创建成功事件</li>
<li>Event: 'listening': 监听master向worker状态事件</li>
<li>Event: 'disconnect': 监听worker断线事件</li>
<li>Event: 'exit': 监听worker退出事件</li>
</ul>
<h2>4. master和worker的通信的例子</h2>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>
<pre>var cluster = require('cluster');
var http = require('http');
var numCPUs = require('os').cpus().length;

if (cluster.isMaster) {
    console.log('[master] ' + "master started, pid:" + process.pid);

    cluster.on('fork', function (worker) {
        console.log('[master] ' + 'fork: worker' + worker.id);
    });

    cluster.on('online', function (worker) {
        console.log('[master] ' + 'online: worker' + worker.id);
    });

    cluster.on('listening', function (worker, address) {
        console.log('[master] ' + 'listening: worker' + worker.id + ',pid:' + worker.process.pid + ', address:' + address.address + ":" + address.port);
    });

    cluster.on('disconnect', function (worker) {
        console.log('[master] ' + 'disconnect: worker' + worker.id);
    });

    cluster.on('exit', function (worker, code, signal) {
        console.log('[master] ' + 'exit worker' + worker.id + ' died, try to fork a new worker.');
        cluster.fork();
    });

    for (var i = 0; i &lt; numCPUs; i++) {
        cluster.fork();
    }

    Object.keys(cluster.workers).forEach(function (id) {
        cluster.workers[id].on('message', function (msg) {
            console.log('[master] ' + 'received msg:' + msg + 'from worker' + id);
        });
    });

    function eachWorker(callback) {
        for (var id in cluster.workers) {
            callback(cluster.workers[id]);
        }
    }

    var i = 0;
    setTimeout(function () {
        eachWorker(function (worker) {
            i++;
            worker.send('[master] ' + 'send msg ' + i + ' to worker' + worker.id);
        });
    }, 3000);

} else if (cluster.isWorker) {
    console.log('[worker] ' + "worker" + cluster.worker.id + " started, pid:" + process.pid);

    process.on('message', function (msg) {
        console.log('[worker] worker' + cluster.worker.id + ' received msg:' + msg);
        process.send('[worker] send msg ' + cluster.worker.id + ' to master.');
    });

    http.createServer(function (req, res) {
        var response = 'worker received request, id:' + cluster.worker.id + ',pid:' + process.pid;
        console.log(response);
        res.writeHead(200, { "content-type": "text/html" });
        res.end(response);
    }).listen(5000);

}</pre>
<p><a><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvY29tbW9uLmNuYmxvZ3MuY29tL2ltYWdlcy9jb3B5Y29kZS5naWY=.jpg"></a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 20:01:40</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>写了一个简单的NodeJS实现的进程间通信的例子的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPokKz.html" rel="bookmark">Python写的一个简单监控系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Python写的一个简单监控系统,本文讲解了详细的编码步骤,并给给出相应的实现代码,需要的朋友可以参考下 市面上有很多开源的监控系统:Cacti.nagios.zabbix.感觉都不符合我的需求,为什么不自己做一个呢 用Python两个小时徒手撸了一个简易的监控系统,给大家分享一下,希望能对大家有所启发 首先数据库建表 建立一个数据库&quot;falcon&quot;,建表语句如下: ? 1 2 3 4 5 6 7 8 9 10 11 CREATE TABLE `stat` ( `			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z42KjjM.html" rel="bookmark">c&num;-c&plus;&plus;写的一个简单学生信息管理系统，求助。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 c++写的一个简单学生信息管理系统,求助. 编译不报错,就是运行不出来 #include&lt;iostream.h&gt; #include&lt;stdio.h&gt; #include&lt;string.h&gt; class student//定义学生信息类 {public: char name[20]; char num[10]; char banji[20]; int math,english,chinese,computer; int sum; double ave; void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1EVG3M.html" rel="bookmark">java代码-我用Java 写的一个简单截图小工具 但是出现一些在重截时出现bug  跪求大神</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我用Java 写的一个简单截图小工具 但是出现一些在重截时出现bug 跪求大神 /**在这里贴上我注释满满的代码 求一语道破 求建议 求批评 没有贴main 方法 随便写个main方法便可运行 */ ` package com.subimaga; import java.awt.AWTException; import java.awt.AlphaComposite; import java.awt.Color; import java.awt.Cursor; import java.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPy4rp.html" rel="bookmark">java-jsp&plus;servlet写了一个简单的注册，但是出现找不到页面</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 jsp+servlet写了一个简单的注册,但是出现找不到页面 小菜鸟刚写了一个简单的注册页面,但是配置好servlet以后出现找不到页面,找了好长时 间没有发现问题在哪里,希望有明白的给解释解释 解决方案 你写的是相对路径 ,一般用绝对路径 form 在 项目/page 下找相应页面,你的servlet 是映射在 项目/ 下的 你可以 在form 的action 改为 ../addUser 试试 解决方案二: 看看这个: 路径总结: 路径分为两种情况: 1.客户端路径 ==&gt; 给浏览器			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBZ7dkb.html" rel="bookmark">makefile-在linux写的一个简单的程序 编译不能通过 求大神给看看</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在linux写的一个简单的程序 编译不能通过 求大神给看看 解决方案 总共有3个文件 test.h test.cpp main.cpp; 在main.cpp内部调用test类实现的方法,执行make命令后,可以生成test.o和main.o但是好像链接的时候有问题, 不能生成目标问题 解决方案二: 找出问题来了 是makefile文件写的有问题 编译应该使用g++ 代码有问题的地方 希望各位指正 解决方案三: 提示信息是函数没有定义,链接返回错误.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Rndjz.html" rel="bookmark">C&plus;&plus;写的一个简单类模版 友元函数求最大最小值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 C++写的一个简单类模版 友元函数求最大最小值 如题 , 编译时总是说 [Error] ld returned 1 exit status (编译器dev c++) using namespace std; template &lt;typename t&gt; class CValue { t data[5]; public: CValue(); friend t Max(CValue &lt;t&gt; a); friend t Min(CValue &lt;t&gt; a); }; tem			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqVAVp.html" rel="bookmark">struts2&period;0-我写了一个简单的struts2登录验证但是不能跳转&comma;找了好久也不知道为什么&comma;请大神帮忙看一下&comma;先谢了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我写了一个简单的struts2登录验证但是不能跳转,找了好久也不知道为什么,请大神帮忙看一下,先谢了 解决方案 SUBMITE提交呢? 解决方案二: 解决方案三: 调试下Action方法进入了吗?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QLBRM.html" rel="bookmark">纯css&plus;js写的一个简单的tab标签页带样式&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近经常要用tab标签页,所以写了一个简单的,以后用的话直接拷贝一个,稍微改改就OK了. 先看效果图:  接下来看下代码怎么写的吧: 一.sp文件easytab.jsp 复制代码 代码如下: &lt;%@ page language=&quot;java&quot; import=&quot;java.util.*&quot; pageEncoding=&quot;UTF-8&quot;%&gt; &lt;% String path = request.getContextPath(); String b			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boqL2dp.html" rel="bookmark">初学java，自己用java写了一个简单的注册登录程序，没报错但有问题，希望能帮忙指点。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 初学java,自己用java写了一个简单的注册登录程序,没报错但有问题,希望能帮忙指点. import java.util.Scanner; class Yanzheng{ private String n; private String p; public void setNa(String na){ this.n = na; } public void setPa(String pa){ this.p = pa; } public String getNa(){ return n;			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9Mxr57z.html" rel="bookmark" class="title">用Photoshop轻松实现批量转换</a>
					<div>
						转换 应用目标:实现图像格式批量转换 应用工具:Photoshop 实现难度:★☆☆☆☆ 大家都知道,在利用Photoshop处理图像时,为了各种输出的需要,有时要把某些图像格式转换成为其他格式.在一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP0jmp.html" rel="bookmark" class="title">独立站SEO新人必读之网站制作必须明白的要点</a>
					<div>
						电子商务这门技术在国外的发展远比中国要领先,不过中国发展迅速也不甘落后的加入了这列大军之中,在电子商务国内的技术包括有B2B平台的SEO应用.企业独立站的SEO应用.百度功能的应用以及论坛博客微博等等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M911x3M.html" rel="bookmark" class="title">PHP中cookie和session简介</a>
					<div>
						使用PHP进行用户认证的方式有三种:HTTp认证.使用session.使用cookie. 使用php进行http认证: 是通过结合header()函数和PHPAUTHUSER.PHP_AUTH_pw全 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlKlEb.html" rel="bookmark" class="title">虚拟化存储设计：IOPS</a>
					<div>
						在存储设计中最常用的一个性能衡量参数就是IOPS,但是不是仅IOPS就足以帮助我们作出设计决定呢?这方面有很多认识上的误区.绝大多数情况下仅仅单独考虑IOPS是没有意义的.本文以一个案例来带你了解全面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd7XOXM.html" rel="bookmark" class="title">界面组装器模式</a>
					<div>
						简介: 本文提出了一种界面设计中的架构模式-界面组装器模式,它致力于分解界面 ,将界面和组装行为解耦,将界面逻辑处理与领域逻辑处理解耦,这样我们在开 发 GUI 胖客户端界面应用时可以从众多的界面控制 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8lJmp.html" rel="bookmark" class="title">电脑通过微软清理工具解决软件总是提示Windows Installer正准备安装的问题</a>
					<div>
						电脑通过微软清理工具解决软件总是提示Windows Installer正准备安装的问题   1.搜索并下载微软清理工具windows install clean up; 2.运行安装程序并完成安装;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmjm0z.html" rel="bookmark" class="title">如何设置WIN7影音文件</a>
					<div>
						  首先我教大家怎么去如何设置影音文件更快更好的解决,那么所谓的双语并行,就是播放影音文件时,那么我们只要从音箱里同时传出中文和英文国语粤语.那么久你能在Windows 98时代,但是也不能忽视由于影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKQPAM.html" rel="bookmark" class="title">笔记本电源适配器不能通用为什么</a>
					<div>
						  笔记本电脑电源适配器并不通用大家是否遇到过这种情况?在某些场合突然笔记本电脑电池供电不足,又没有带电源适配器,工作还有一点点没有完成,这种情况非常令人焦虑和尴尬.有些朋友在这个时候可能试图借用他人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lRm9b.html" rel="bookmark" class="title">www和不带www快照同一收录的方法</a>
					<div>
						手里有好几个站,前几天发现其中一个站的快照还是一个星期以前的,而且从百度过来的流量锐减,平时百度的蜘蛛都是一天来好几遍,现在一天只有两遍,首页就是不更新,这是怎么回事呢.我检查了一番发现在百度site ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bammmJb.html" rel="bookmark" class="title">android-BroadcastReceiver 呼叫服务只循环一次</a>
					<div>
						问题描述 BroadcastReceiver 呼叫服务只循环一次 下面是我的 tts 服务代码: public class SMSTTSService extends Service implemen ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkweW7p.html" rel="bookmark" class="title">2015最流行的Android组件、工具、框架大全</a>
					<div>
						原文链接:http://www.open-open.com/lib/view/open1436262653692.html Android 是目前最流行的移动操作系统之一. 随着新版本的不断发布, A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWRv0p.html" rel="bookmark" class="title">gridview中datarowbound只对第一行有效</a>
					<div>
						问题描述 gridview中datarowbound只对第一行有效 我想在点击编辑按钮后根据编辑模板中 lbSingInTime是否有值 来判断 cbSignIn是否该选中,在点击第一行的编辑按钮时能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6DW6M.html" rel="bookmark" class="title">我们都爱周鸿祎&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						我们都爱周鸿祎. 正因为有了这个发际线略高,带着无框眼镜,年届40的中年男人,中国互联网从不会缺茶余饭后的谈资和出人意料的话题营销. 事实上,作为一个IT媒体人,我爱周鸿祎的原因简单而直白:没有他,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3jKPz.html" rel="bookmark" class="title">java-Java 请各位大神给点建议（拜托大家了）</a>
					<div>
						问题描述 Java 请各位大神给点建议(拜托大家了) 我想请问一下 ,Java刚入门看了一遍李刚的Java疯狂讲义,我现在应该做点什么可以提高Java编程水平啊.今年九月就校招了,请问我应该继续学方向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAPxRM.html" rel="bookmark" class="title">C&num;中的问题，请各位大大们帮个忙&period;&period;&period;&period;&period;&period;&period;</a>
					<div>
						问题描述 我打算写一个,自动记录视频播放的开始时间和结束时间,然后把这些时间都自动记录在一个LOG文件里生成出来.这样的代码应该如何写呢?希望各位大大们教教小弟........ 解决方案 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRw03b.html" rel="bookmark" class="title">usb相机-opencv如何检测USB相机的通断？</a>
					<div>
						问题描述 opencv如何检测USB相机的通断? 我使用openCV调用USB相机,使用过程中USB相机突然断开,这个过程应如何进行检测?谢谢 解决方案 下面代码,打开就继续,不打开直接返回么,不知道 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydJB5b.html" rel="bookmark" class="title">关于jacob打印excel的问题，求助！</a>
					<div>
						问题描述 关于jacob打印excel的问题,求助! 我在用myeclipse部署启动tomcat时,jacob可以正常打印excel,但是不在myeclipse中启动,而是直接在tomcat中的st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBdxqb.html" rel="bookmark" class="title">SpriteBuilder中的碰撞分类&lpar;Categories&rpar;和掩码&lpar;Masks&rpar;</a>
					<div>
						假如有2种对象player和触发器(trigger),当玩家进入到触发器区域时则由触发器对象通知所有注册过触发器通知的对象,然后由这些对象自行选择做一些事情,比如:阻碍player的前景,触发陷阱等等 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNn6O4M.html" rel="bookmark" class="title">小白问题                              java</a>
					<div>
						问题描述 小白问题 java 在数据库中 , 订单表 商品表是多对多的关系,为什么要在中间表中显示商品的购买数量?在订单表中不行吗 解决方案 为什么?你问谁啊,问你自己和dba 解决方案二: 你订单表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKkwop.html" rel="bookmark" class="title">如何优化Varnish加速器提升工作性能</a>
					<div>
						风信网(ithov.com)原创文章:Varnish是否能稳定.快速地运行,与Linux本身的优化及Varnish自身参数的设置有很大关系.在安装配置完Varnish后,还必须从操作系统和Varnis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44XlYz.html" rel="bookmark" class="title">python模拟登录百度代码分享&lpar;获取百度贴吧等级&rpar;&lowbar;python</a>
					<div>
						复制代码 代码如下: # -*- coding: utf8 -*-'''Created on 2013-12-19 @author: good-temper''' import urllib2impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ162Qb.html" rel="bookmark" class="title">JQuery报错Uncaught TypeError&colon; Illegal invocation的处理方法&lowbar;jquery</a>
					<div>
						Jquery实现Ajax异步提交时报错&quot;Uncaught TypeError: Illegal invocation&quot;,如下图: 排查发现错误在于此: 复制代码 代码如下: dat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEqwZz.html" rel="bookmark" class="title">seo入门-SEO优化的6个重要因素</a>
					<div>
						1. 在你网站上使用高质量.原创的内容 &quot;原创&quot;就是指你的内容至少要有25%不同于其他网站的,这是SEO站内优化最重要的一点,最好有50%不同.如果网站上有太多和其他网站重复的内容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk1l3z.html" rel="bookmark" class="title">怎么制作ps发光字制作教程</a>
					<div>
						教程: 1.选择文字工具,键入文字 2.选择所复制的文字层,双击如图位置,弹出投影设置面板 3.复制文字层,并删除投影样式,将填充改为20% 4.文字倒影效果,选择编辑-变换-垂直翻转 5.添加图层蒙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QrVZM.html" rel="bookmark" class="title">中国域名发展获政府部门支持</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 5月8日凌晨消息,&quot;.中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2lO4z.html" rel="bookmark" class="title">求解决，急用啊大神们，Struts2配置文件首行错误</a>
					<div>
						问题描述 求解决,急用啊大神们,Struts2配置文件首行错误 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot; ?&gt; &l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqwW5p.html" rel="bookmark" class="title">单链表问题（反转、是否有环、删除结尾第N个节点、合并两个sortlist、找到交点）</a>
					<div>
						1.时间复杂度O(N),内存O(1)的效率下实现单链表的翻转 public static TreeNode revers(TreeNode head){ TreeNode temp,first,sec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdvGn2b.html" rel="bookmark" class="title">迪信通今日赴港上市</a>
					<div>
						腾讯科技讯 7月8日消息,迪信通今日在港交所上市,开盘价5.3港元,与发行价持平,但开盘后股价持续下探,不到10分钟即破发. 截至9点45,迪信通股价报5.15港元,较5.3港元的发行价下跌2.8%. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk7vQwp.html" rel="bookmark" class="title">回顾LIGO之父的传奇人生，这次他会再失诺贝尔物理学奖吗&quest;</a>
					<div>
						雷锋网按:本文由知社学术圈原创发布. 物理学家也有如此精彩的人生......他曾因坠入爱河而被MIT退学, 领导研究宇宙背景辐射却被诺贝尔忽略, 中学同学早在50年前就得了物理诺奖,LIGO之父本周会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmRPq1z.html" rel="bookmark" class="title">大数据意味什么？企业与厂商各不相同</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;如今,大数据作为一个网络热词被频繁的提及.事实上,全球行业巨 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
